Bug 968963 - db file srv_fss.tdb (and possibly others) need migrating from samba 4.1, samba 4.2, samba 4.3 => samba 4.4
db file srv_fss.tdb (and possibly others) need migrating from samba 4.1, samb...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Samba
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Lars Müller
The 'Opening Windows to a Wider World' guys
:
Depends on:
Blocks: 924519
  Show dependency treegraph
 
Reported: 2016-03-01 17:16 UTC by Noel Power
Modified: 2016-03-09 18:00 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Noel Power 2016-03-01 17:16:58 UTC
The location of srv_fss.tdb in samba 4.1.2 was /var/lib/samba/srv_fss.tdb
in samba 4.4.0 it is /var/lib/samba/lock/srv_fss.tdb

Installation of the new samba version should migrate the tdb file(s) to the new target dir
Comment 1 Lars Müller 2016-03-01 17:55:25 UTC
We must cover too:

brlock.tdb dbwrap_watchers.tdb gencache_notrans.tdb leases.tdb
locking.tdb mutex.tdb names.tdb printer_list.tdb serverid.tdb
smbXsrv_client_global.tdb smbXsrv_open_global.tdb
smbXsrv_session_global.tdb smbXsrv_tcon_global.tdb
smbXsrv_version_global.tdb

Please test with builds from the OBS project network:samba:STABLE

Ensure to have the following package change log line present:

- Relocate existing lock files to /var/lib/samba/lock; (bsc#968963).

The mechanism only works if the to be relocated file doesn't yet exist.
Comment 3 Bernhard Wiedemann 2016-03-02 17:00:18 UTC
This is an autogenerated message for OBS integration:
This bug (968963) was mentioned in
https://build.opensuse.org/request/show/364724 Factory / samba
Comment 5 Bernhard Wiedemann 2016-03-02 18:00:16 UTC
This is an autogenerated message for OBS integration:
This bug (968963) was mentioned in
https://build.opensuse.org/request/show/364907 Factory / samba
Comment 7 Bernhard Wiedemann 2016-03-02 19:00:11 UTC
This is an autogenerated message for OBS integration:
This bug (968963) was mentioned in
https://build.opensuse.org/request/show/364943 Factory / samba
Comment 9 Lars Müller 2016-03-03 12:51:54 UTC
Please reopen if it gotten fixed since r3609